Subject: Re: [PATCH REPOST net-next 0/8] net: dsa: improve serdes integration

From: Andrew Lunn <[email-masked]>
Date: Sat, 14 Mar 2020 19:33:48 +0100

On Sat, Mar 14, 2020 at 10:14:31AM +0000, Russell King - ARM Linux admin wrote:
> Depends on "net: mii clause 37 helpers".
> 
> Andrew Lunn mentioned that the Serdes PCS found in Marvell DSA switches
> does not automatically update the switch MACs with the link parameters.
> Currently, the DSA code implements a work-around for this.
> 
> This series improves the Serdes integration, making use of the recent
> phylink changes to support split MAC/PCS setups.  One noticable
> improvement for userspace is that ethtool can now report the link
> partner's advertisement.
> 
> This repost has no changes compared to the previous posting; however,
> the regression Andrew had found which exists even without this patch
> set has now been fixed by Andrew and merged into the net-next tree.

Hi Russell

With the CPU port being broken with the last version, i did not give
this much testing. Unfortunately, I'm not in a position to test this
at the moment. So i'm just going to review it. If anything breaks, we
can fix it up later.

       Andrew